<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/func.inc.php');
include_once('../inc/func_time.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/fic_age.inc.php');
include_once('../inc/fic_cli.inc.php');
include_once('../inc/fic_cocl.inc.php');
include_once('../inc/fic_do.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_fici.inc.php');
include_once('../inc/fic_hum.inc.php');
include_once('../inc/fic_int.inc.php');
include_once('../inc/fic_ot.inc.php');
include_once('../inc/fic_plan.inc.php');
include_once('../inc/fic_rdv.inc.php');
include_once('../inc/fic_rel.inc.php');
include_once('../inc/fic_prm.inc.php');
include_once('../inc/fic_ret.inc.php');
include_once('../inc/fic_sig.inc.php');
include_once('../inc/fic_st.inc.php');
include_once('../inc/fic_statut.inc.php');
include_once('../inc/fic_taxes.inc.php');
include_once('../inc/fic_tac.inc.php');
include_once('../inc/fic_tec.inc.php');
include_once('../inc/fic_zc.inc.php');
include_once('../inc/lst.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
check_modules();

$pbm_int = FALSE;
$pbm_cli = FALSE;
$nb_cocl = 0;
$nb_sites = 0;
$int_idsite = 0;
$tab_codeages = [];
$tab_cocl = [];
$ot = '';
$modif_haut = TRUE;
$select_tecr = TRUE; // Possibilité de modifier le technicien responsable
$modif_tecr = TRUE; // Possibilité de modifier le technicien responsable
$modif_tect = TRUE; // Possibilité de modifier le technicien traitant
$aff_fait = TRUE; // Possibilité d'afficher le travail effectué + le détail
$aff_tect = TRUE;
$aff_rescocl = TRUE;
$aff_repcocl = TRUE;
$aff_pbm = TRUE;
$select_age = TRUE;
$select_agesite = TRUE;
$select_urgence = TRUE;
$select_codecat = TRUE;
$select_gar = TRUE;
$sais_codeman = TRUE;
$sais_codeext = FALSE;
$sais_codeocli = TRUE;
$sais_mat = TRUE;
$sais_pbm = TRUE;
$check_tect_publique = TRUE;
$chx_tect = TRUE;
$chx_site = TRUE;
$chx_pbm = TRUE;
$select_ccli = TRUE;
$add_ccli = TRUE;
$select_cocl = TRUE;
$select_orig = TRUE;
$select_statut = TRUE;

// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_GET);

$cc = '';
if (isset($_GET['cc'])) {
    $cc = $_GET['cc'];
} // Récupération code Client
else {
    $pbm_cli = TRUE;
}

$ci = valget('ci'); // Récupération intervention Modèle (si existe)

// Vérification des droits de programmation
if (($_SESSION['niv_log'] <> 3) AND ($_SESSION['niv_log'] <> 4) AND ($_SESSION['niv_log'] <> 5) AND ($_SESSION['niv_log'] <> 9)) {
    $pbm_int = TRUE;
}

// Lecture des paramètres planning
$row = lit_enr_pprm();
if ($row) {
    $row = encode_str($row);
    extract($row);
}

// Récupération et Contrôle des informations contrat
if (($ci <> '') AND ($pbm_int == FALSE)) {
    $row = lit_enr_int($ci);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);
    } else {
        $pbm_int = TRUE;
    }
}

// Récupération et Contrôle des informations client
if (($cc <> '') AND ($pbm_int == FALSE)) {
    $row = lit_enr_cli($cc, TRUE);
    $tab_ccli= [];
    $tab_maitre = [];
    if (is_array($row)) {
        $row = encode_str($row);
        $int_codecli = $cc;
        extract($row);

        // Si pas de société, pas de demandé par
        if (trim($cli_ste) == '') {
            $chx_site = FALSE;
            $select_ccli = FALSE;
            $add_ccli = FALSE;
            $int_idsite = 0;
        } else // On récupère le code maître (si le client fait partie d'un regroupement)
        {
            $tab_maitre = give_tab_maitre_cli($cli_code, TRUE);
        }
        $tab_ccli = give_tab_ccli($cli_code, (int)$int_idsite, $tab_maitre);

        // Si le client est affecté à une agence, on ne peut pas modifier l'agence gestionnaire de compte
        if ((trim($cli_prop) <> '') AND ($cli_prop <> NULL)) {
            $int_codeage = $cli_prop;
            $select_age = FALSE;
        }

        // Contrôle des hacks
        switch (valsession('niv_log')) {
            // Agence
            case 4 :
                if (client_age_ok($cli_code, valsession('code_age'), TRUE) == FALSE) {
                    // Le client n'est géré par l'agence, on vérifie si le site principal ou secondaire lui ont été affectés
                    if ($ci <> '') {
                        if (($int_codeage <> valsession('code_age')) AND ($int_codeages <> valsession('code_age'))) {
                            $pbm_cli = TRUE;
                        }
                    } else {
                        $pbm_cli = TRUE;
                    }
                }
                break;
            default :
                break;
        }

        if ($pbm_cli == FALSE) {
            if ($td == 'add') {
                // On intervient sur un site secondaire
                // On Contrôle si ce site secondaire est gérable par l'utilisateur
                if ($int_idsite > 0) {
                    $row = lit_enr_scli_id($int_idsite, TRUE);
                    if ($row) {
                        $row = encode_str($row);
                        extract($row);
                        // Le site demandé doit correspondre au client
                        if ($cc == $scli_codecli) {
                            // Contrôle qu'une agence n'essaye pas de "hacker" un site
                            switch (valsession('niv_log')) {
                                case 4 :
                                    if ($cli_prop <> NULL) // Une agence est affectée à ce client
                                    {
                                        if ($cli_prop <> valsession('code_age')) {
                                            switch ($scli_prop) {
                                                case '-1' :
                                                    if (dep_in_zcc_age_open($scli_dep, $scli_codepays, valsession('code_age'), TRUE) == FALSE) {
                                                        $pbm_cli = TRUE;
                                                    }
                                                    break;
                                                case '0' :
                                                    $pbm_cli = TRUE;
                                                    break;
                                                default :
                                                    if ($scli_prop <> valsession('code_age')) {
                                                        $pbm_cli = TRUE;
                                                    }
                                                    break;
                                            }
                                        }
                                    }
                                    break;
                                default :
                                    break;
                            }
                        } else {
                            $pbm_cli = TRUE;
                        }
                    } else {
                        $pbm_cli = TRUE;
                    }
                }
            }
        }
    } else {
        $pbm_cli = TRUE;
    }
} else {
    $pbm_cli = TRUE;
}

if (($pbm_cli == FALSE) AND ($pbm_int == FALSE)) {
    $nb_sites = nb_scli_actifs($cc, '', TRUE);

    // Construction du tableau des agences couvrant le site du client
    $tab_codeages = give_tab_age_scli($ci, $cc, $int_idsite);

    $int_codedo = '';
    if (CheckNivLog('6-7')) {
        $int_codedo = valsession('code_do');
    }
    $int_codest = '';
    $int_ddeur = -1;

    // Affectation de l'agence gérant l'intervention
    // Affectation de l'agence gérant le site
    // Affectation du technicien responsable
    switch (valsession('niv_log')) {
        case 3 :
            $int_codeage = valsession('code_age');
            $int_codeages = valsession('code_age');
            $int_codetec = valsession('code_log');
            break;
        case 4 :
            $int_codeage = valsession('code_age');
            $int_codeages = valsession('code_age');
            break;
        default :
            $int_codeage = $ca;
            if ((trim($cli_prop) <> '') AND ($cli_prop <> NULL)) {
                $int_codeage = $cli_prop;
            }
            $int_codeages = '';
            break;
    }

    // On récupère le nombre de contrats actifs pour ce client
    if ($int_idsite > 0) {
        $tab_cocl = cre_tab_cocl_int('add', $ci, $cc, TRUE, $int_idsite);
    } else {
        $tab_cocl = cre_tab_cocl_int('add', $ci, $cc, TRUE);
    }
    $nb_cocl = count($tab_cocl);
    // Si pas de contrat, on ne peut pas choisir de contrat
    if ($nb_cocl == 0) {
        $select_cocl = FALSE;
        $aff_rescocl = FALSE;
        $aff_repcocl = FALSE;
    }
}
// Contrôle des droit utilisateurs sur le formulaire
if (($pbm_int == FALSE) AND ($pbm_cli == FALSE)) {
    switch ($_SESSION['niv_log']) {
        case 3 :
            if ($_SESSION['code_log'] <> $int_codetec) {
                $pbm_int = TRUE;
            }
            $select_tecr = FALSE;
            break;
        case 4 :
            // On vérifie si l'agence connectée est l'agence gestionnaire de l'intervention
            if (trim($int_codeage) <> '') // Dossier affecté
            {
                // Le code connecté est différent du code gestionnaire de l'intervention
                if ($_SESSION['code_log'] <> $int_codeage) {
                    $select_codecat = FALSE;
                    $select_urgence = FALSE;
                    $sais_codeman = FALSE;
                    $sais_codeocli = FALSE;
                    $chx_site = FALSE;
                    $select_cocl = FALSE;
                    $aff_repcocl = FALSE;
                    $select_orig = FALSE;
                    $sais_mat = FALSE;
                    $sais_pbm = FALSE;
                    $select_gar = FALSE;
                    $select_agesite = FALSE;
                    if (trim($int_codeages) <> '') // Gestionnaire de site affecté
                    {
                        if ($_SESSION['code_log'] <> $int_codeages) {
                            $select_statut = FALSE;
                        }
                        $modif_haut = FALSE;
                        // On vérifie si l'agence connectée est l'employeur du technicien responsable
                        if ($int_codetec <> '-1') {
                            $row = lit_enr_tec($int_codetec, TRUE);
                            if (is_array($row)) {
                                $row = encode_str($row);
                                extract($row);
                                if ($_SESSION['code_log'] <> $tec_codeage) {
                                    $aff_detail = FALSE;
                                    $select_tecr = FALSE;
                                    $sais_dteprev = FALSE;
                                    $select_codereg = FALSE;
                                    $sais_dtefin = FALSE;
                                }
                            } else {
                                $aff_detail = FALSE;
                                $select_tecr = FALSE;
                                $sais_dteprev = FALSE;
                                $select_codereg = FALSE;
                                $sais_dtefin = FALSE;
                            }
                        }
                    } else // Site pas affecté : l'agence devient le gestionnaire du site
                    {
                        $int_codeages = $_SESSION['code_log'];
                    }

                } else {
                    if ($int_forfait > 0) {
                        $aff_det_inth = FALSE;
                    } else {
                        $aff_forfait = FALSE;
                    }
                }
            } else // Dossier non affecté : l'agence devient gestionnaire de l'intervention et du site
            {
                $int_codeage = $_SESSION['code_log'];
                $int_codeages = $_SESSION['code_log'];
            }
            $select_age = FALSE;

            /*
            // Le code connecté est différent du code gestionnaire de l'intervention
            if ($_SESSION['code_log'] <> $int_codeage) {
                // On vérifie si le code connecté est égal au code de l'agence gestionnaire du site
                if ($_SESSION['code_log'] == $int_codeages) {
                    // On vérifie si l'agence connectée est l'employeur du technicien responsable
                    if ($int_codetec <> '-1') {
                        $row = lit_enr_tec($int_codetec, TRUE);
                        if (is_array($row)) {
                            $row = encode_str($row);
                            extract($row);
                            if ($_SESSION['code_log'] <> $tec_codeage)
                                $modif_tecr = FALSE;
                        } else
                            $modif_tecr = FALSE;
                    }
                }
            }
            */
            break;
        default :
            break;
    }
}

if (($pbm_int == FALSE) AND ($pbm_cli == FALSE)) {
    // En cas de création, la devise par défaut de l'intervention dossier est celle du compte qui saisi
    switch (valsession('niv_log')) {
        case 3 :
        case 4 :
            $int_codeadev = give_dev_codea_defaut_age($_SESSION['code_age'], $_SESSION['lng'], TRUE);
            break;
        default :
            $int_codeadev = give_dev_codea_defaut($_SESSION['lng'], TRUE);
            break;
    }
}

$titre = _('PROGRAMMATION INTERVENTION');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Programmation Interventions'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script language="javascript">
        <!--
        var tab1_champ = ["nom:dateddef ; format:date ; masque:<?php echo $_SESSION['date_fmtfull']; ?> ; req:Y ; txt:<?php echo _('Date départ'); ?> ; stok:frmok ; stbad:frmbad",
            "nom:datefinf ; format:date ; masque:<?php echo $_SESSION['date_fmtfull']; ?> ; req:Y ; txt:<?php echo _('Date fin'); ?> ; stok:frmok ; stbad:frmbad",
            "nom:freq; format:liste ; req:Y ; txt:<?php echo _('Fréquence'); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:joura[]; format:checkbox ; req:Y ; txt:<?php echo _('Jours autorisés'); ?> ; stok:frmok ; stbad:frmbad",
            "nom:hrdv; format:liste ; req:Y ; txt:<?php echo _('Heure indicative'); ?> ; stok:frmok ; stbad:frmbad",
            "nom:dureem; format:liste ; req:Y ; txt:<?php echo _('Durée estimée'); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:codecat; format:liste ; req:Y ; txt:<?php echo _('Catégorie'); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
            <?php if ($cli_ste<> '')
                {echo '"nom:ddeur; format:liste ; req:Y ; txt:'._('Demandé par').' ;  vmn:1 ; stok:frmok ; stbad:frmbad",';}
            ?>
            "nom:codestatut; format:liste ; req:Y ; txt:<?php echo _('Statut'); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:urgence; format:liste ; req:Y ; txt:<?php echo _('Niveau urgence'); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:codeman; format:txt ; req:N ; txt:<?php echo _('Code manuel'); ?> ; lmx:60 ; stok:frmok ; stbad:frmbad",
            "nom:codeocli; format:txt ; req:N ; txt:<?php echo _('Code ordre client'); ?> ; lmx:40 ; stok:frmok ; stbad:frmbad",
            <?php
                switch ($_SESSION['niv_log'])
                {
                    case 5 :
                    case 9 :
                        if ($cli_prop == NULL)
                            {echo '"nom:codeage; format:liste ; req:Y ; txt:'._('Agence').' ; vmn:1 ; stok:frmok ; stbad:frmbad",';}
                        break;
                    default :
                        break;
                }
            ?>
            "nom:codeorig; format:liste ; req:Y ; txt:<?php echo _('Demandé par'); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:codetec; format:liste ; req:Y ; txt:<?php echo _('Responsable dossier'); ?> ; vmn:1; stok:frmok ; stbad:frmbad",
            "nom:mat; format:txt ; req:Y ; txt:<?php echo _('matériel'); ?> ; stok:frmok ; stbad:frmbad",
            "nom:pbm; format:txt ; req:Y ; txt:<?php echo _('Libellé problème'); ?> ; stok:frmok ; stbad:frmbad"];
        //-->
    </script>

    <?php if ($pbm_int == FALSE) { ?>
        <script type="text/javascript">
            <!--
            function init_datepicker() {
                <?php include_once ('../jscript/datepicker_prm.js.php'); ?>
                $("#dateddef").datepicker({
                    onSelect: function (datesel) {
                        $("#dateddef").blur();
                        chk_datedif(datesel, this.id, '<?php echo valsession('date_fmtshort'); ?>', true, 'today', '', 'datefinf', false);
                    }
                });
                $("#datefinf").datepicker({
                    onSelect: function (datesel) {
                        $("#datefinf").blur();
                        chk_datedif(datesel, this.id, '<?php echo valsession('date_fmtshort'); ?>', true, 'dateddef,today', '', '', false);
                    }
                });
            }

            function init_all() {
                init_Body();
                init_datepicker();
                init_checkgar('gar', 'fgar', '');
                init_checkfgar('fgar', 'gar', '');
                <?php
                if ($pbm_int==FALSE)
                {
                    echo "init_warn('".nb_cli('')."cli','','back','','');";
                    echo "init_warn('".nb_tec_actifs()."tec','','back','','');";
                    echo "init_warn('".nb_age_actives()."age','','back','','');";

                    if (valsession('niv_log') >= 3)
                        {echo 'warn_cpta('.$cli_cpta.',"int");';}

                    if ($select_tecr==TRUE)
                    {
                        echo 'init_ajax_tec();';
                        echo 'init_ajax_tec3();';
                    }
                    else
                        {echo "readonly_id('codetec',false);";}
                    if ($chx_tect == FALSE)
                    {
                        echo "readonly_id('tecaff',false);";
                        echo "readonly_all_id('all_tecaff');";
                    }
                    if ($select_age==TRUE)
                        {echo 'init_ajax_tec_agesite();';}
                    else
                        {echo "readonly_id('codeage',false);";}
                    if ($select_agesite==TRUE)
                        {echo 'init_ajax_tec3_agesite();';}
                    else
                        {echo "readonly_id('agesite',false);";}
                    if ($select_ccli == FALSE)
                        {echo "readonly_id('ddeur',false);";}
                    if ($add_ccli == TRUE)
                        {echo "init_fen_ctact('cli','addccli','fscomp',950,700,'int');";}
                    if ($select_cocl == TRUE)
                    {
                        if ($aff_rescocl == TRUE)
                        {
                            echo "chk_aff_rescocl('codecocl','res');";
                            echo "init_chk_aff_rescocl('codecocl','res');";
                        }
                        if ($aff_repcocl == TRUE)
                        {
                            echo "chk_aff_repcocl('codecocl','report_cocl');";
                            echo "init_chk_aff_repcocl('codecocl','report_cocl');";
                        }
                    }
                    else
                    {
                        if ($aff_rescocl == TRUE)
                            {echo "chk_aff_rescocl('codecocl','res');";}
                        if ($aff_repcocl == TRUE)
                            {echo "chk_aff_repcocl('codecocl','report_cocl');";}
                        echo "readonly_id('codecocl',false);";
                    }

                    echo "init_autoraz('razdatedepf','dateddef','click');";
                    echo "init_autoraz('razdatefinf','datefinf','click');";
                    echo "init_autoraz('razhrdv','hrdv','click');";
                    echo "init_autoraz('razdureem','dureem','click');";
                }

                if ($select_cocl == TRUE)
                {
                    if ($aff_rescocl == TRUE)
                    {
                        echo "chk_aff_rescocl('codecocl','res');";
                        echo "init_chk_aff_rescocl('codecocl','res');";
                    }
                    if ($aff_repcocl == TRUE)
                    {
                        echo "chk_aff_repcocl('codecocl','report_cocl');";
                        echo "init_chk_aff_repcocl('codecocl','report_cocl');";
                    }
                }
                else
                {
                    if ($aff_rescocl == TRUE)
                        {echo "chk_aff_rescocl('codecocl','res');";}
                    if ($aff_repcocl == TRUE)
                        {echo "chk_aff_repcocl('codecocl','report_cocl');";}
                    echo "readonly_id('codecocl',false);";
                }
                if ($chx_site == TRUE)
                {
                    if ($nb_sites>0)
                    {
                        echo "init_fen_scli('tdtitsite','fscomp',910,650,'int');";
                        echo "set_on_cursor('tdtitsite');";
                        echo "init_fen_scli('tddetsite','fscomp',910,650,'int');";
                        echo "set_on_cursor('tddetsite');";
                    }
                }

                if (($nb_cocl>0) AND ($modif_haut==TRUE))
				    {echo 'init_ajax_cocl();';}
                ?>
                init_valid_intp('enr', 'intp_maj', '<?php echo valsession('date_fmtshort'); ?>', tab1_champ, '', '');
                check_length('codeman', 60);
                check_length('codeext', 40);
                check_length('codeocli', 40);
                init_fensaisie('aff_notesc', 930, 380);
                init_display_id('addtect', 'poptectselect', true, 'click');
                init_hide_id('closetect', 'poptectselect', 'click');
                init_hide_id('valtect', 'poptectselect', 'click');
                init_fen_rescocl('res', 'fscomp', 900, 800);
                Focus_first();
            }

            $(document).ready(function () {
                init_all();
            });

            //-->
        </script>
    <?php } ?>
</head>

<body>

<?php include_once('../inc/entete.inc.php'); ?>
<!-- affiché uniquement s'il y a au moins un client, une agence active, une origine, un statut, un lieu, une civilité, un technicien dans l'agence, et un mode de règlement -->
<?php
if (($pbm_int == FALSE) AND ($pbm_cli == FALSE)) {
    if ((nb_age_actives() <> 0) AND (nb_orig() <> 0) AND (nb_statuts() <> 0) AND (nb_lieux() <> 0) AND (nb_civ() <> 0) AND nb_tec('')) {
        cre_ent_form($titre, $lnk_int_lst, $_SERVER['HTTP_REFERER'], '');
        ?>
        <form name="intp_maj" id="intp_maj" method="post" action="intp_enr.php">
            <input name="titre" type="hidden" id="titre" value="<?php echo $titre ?>">
            <input name="td" type="hidden" id="td" value="add">
            <input name="codecli" type="hidden" id="codecli" value="<?php echo $int_codecli; ?>">
            <input name="idsite" type="hidden" id="idsite" value="<?php echo $int_idsite; ?>">
            <input name="nbsites" type="hidden" id="nbsites" value="<?php echo $nb_sites; ?>">
            <input name="codedo" type="hidden" id="codedo" value="<?php echo $int_codedo; ?>">
            <input name="code" type="hidden" id="code" value="<?php echo $int_code ?>">
            <input name="today" type="hidden" id="today" value="<?php echo $datef; ?>">
            <input name="nbutton" type="hidden" id="nbutton" value="">

            <div id="paramprog" class="bord_pointilles">
                <p align="center" class="annot_std_gras"><?php echo _('Paramètres programmation'); ?></p>
                <!-- Date de départ -->
                <table width="100%" border="0">
                    <tr>
                        <td width="160" class="rubfrm" id="f_dateddef"
                            align="right"><?php echo _('Date départ'); ?></td>
                        <td>
                            <input name="dateddef" type="text" id="dateddef" value="<?php echo $datef ?>" size="10"
                                   maxlength="10" readonly>
                            <img src="../img/oblig.png" align="absmiddle" alt="<?php echo _('Champ obligatoire'); ?>">
                            <img src="../img/raz.png" id="razdatedepf" border="0" align="absmiddle">
                        </td>
                        <td width="160" class="rubfrm" id="f_datefinf" align="right"><?php echo _('Date fin'); ?></td>
                        <td>
                            <input name="datefinf" type="text" id="datefinf" value="" size="10" maxlength="10" readonly>
                            <img src="../img/oblig.png" align="absmiddle" alt="<?php echo _('Champ obligatoire'); ?>">
                            <img src="../img/raz.png" id="razdatefinf" border="0" align="absmiddle">
                        </td>
                    </tr>
                    <tr>
                        <td width="250" class="rubfrm" id="f_freq" align="right"><?php echo _('Fréquence'); ?></td>
                        <td>
                            <?php
                            $tab_freq = [];

                            // création de la liste des types des périodicités
                            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                            $rech = 'SELECT * FROM `' . TBPER . '` ORDER BY per_nbj';
                            $rows = $db->get_results($rech, ARRAY_A);

                            if ($rows) {
                                foreach ($rows as $row) {
                                    $row = encode_str($row);
                                    extract($row);
                                    if ($per_nbj <> 0) {
                                        $txt_nbj = ' ' . _('(tous les') . ' ' . $per_nbj . ' ' . _('jours') . ')';
                                        $tab_freq[$per_code] = $per_desc . $txt_nbj;
                                    }
                                }
                            }
                            close_database();

                            cre_select('freq', 'freq', $tab_freq, '', '', _('-- Faites votre choix --'));
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="250" class="rubfrm" id="f_joura"
                            align="right"><?php echo _('Jours autorisés'); ?></td>
                        <td>
                            <?php
                            // Création de la liste des types des jours autorisés
                            foreach ($lng_tjourm as $key => $value) {
                                echo $value . ' ';
                                echo '<input type="checkbox" name="joura[]" id="joura" value="' . $key . '" checked="checked">';
                                if ($key <> count($lng_tjourm)) {
                                    echo ' - ';
                                }
                            }
                            ?>
                            <img src="../img/oblig.png" align="absmiddle" alt="<?php echo _('Champ obligatoire'); ?>">
                        </td>
                    </tr>
                    <tr>
                        <td width="250" class="rubfrm" id="f_hrdv"
                            align="right"><?php echo _('Heure indicative'); ?></td>
                        <td>
                            <?php
                            // Heure RDV
                            // $tab_heures = give_tab_heures(0, 86400, ($pla_stepmin * 60));
                            $tab_heures = give_tab_heures($pprm_firsthour * 3600, $pprm_lasthour * 3600, $pla_stepmin * 60);

                            cre_select('hrdv', 'hrdv', $tab_heures, '');
                            echo ' <img src="../img/raz.png" id="razhrdv" border="0" align="absmiddle">';
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="250" class="rubfrm" id="f_dureem"
                            align="right"><?php echo _('Durée estimée'); ?></td>
                        <td>
                            <?php
                            // Durée RDV
                            $tab_dureemin = give_tab_dureemin($pla_stepmin, 1440, $pla_stepmin);
                            cre_select('dureem', 'dureem', $tab_dureemin, $rdv_dureem);
                            echo ' <img src="../img/raz.png" id="razdureem" border="0" align="absmiddle">';
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="250" class="rubfrm" id="f_genpla"
                            align="right"><?php echo _('Générer planning'); ?></td>
                        <td>
                            <?php
                            // Création de la liste de choix
                            cre_select('genpla', 'genpla', $non_oui, '');
                            echo '<span class="annot_petit_it">';
                            echo '(' . _("'non' : Planning non généré / 'oui' : Planning généré - uniquement possible si temps et durée") . ')';
                            echo '</span>';
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="250" class="rubfrm" id="f_mint"
                            align="right"><?php echo _('Mono intervention ?'); ?></td>
                        <td>
                            <?php
                            // Création de la liste de choix
                            cre_select('mint', 'mint', $non_oui, '');
                            echo '<span class="annot_petit_it">';
                            echo '(' . _("'non' : autant d'interventions que de RDV / 'oui' : une intervention avec tous les RDV - uniquement possible si temps et durée") . ')';
                            echo '</span>';
                            ?>
                        </td>
                    </tr>
                </table>
            </div>
            <br/>

            <div id="paramint" class="bord_pointilles">
                <p align="center" class="annot_std_gras"><?php echo _('Paramètres intervention'); ?></p>
                <!-- Catégorie -->
                <table width="100%" border="0">
                    <tr>
                        <td width="160" class="rubfrm" id="f_intcat" align="right"><?php echo _('Catégorie'); ?></td>
                        <td>
                            <?php
                            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                            $rech = 'SELECT * FROM `' . TBINTC . '` ORDER BY intc_desc';
                            $rows = $db->get_results($rech, ARRAY_A);
                            cre_select_tab('codecat', 'codecat', $rows, 'intc_code', 'intc_desc', '', $int_codecat, '', _('-- Faites votre choix --'));
                            ?>
                        </td>
                    </tr>
                </table>

                <!-- Code de dossier interne au donneur d'ordres -->
                <table width="100%" border="0">
                    <tr>
                        <?php
                        // Code saisie manuelle
                        echo '<td width="160" class="rubfrm" id="f_codeman" align="right">';
                        echo _('Code saisie manuelle');
                        echo '</td>';
                        echo '<td>';
                        echo '<input name="codeman" type="text" id="codeman" value="' . $int_codeman . '" size="55">';
                        echo '<br /><span class="annot_petit_it">(' . _('Code de suivi interne') . ')</span>';
                        echo '</td>';

                        // Code externe (saisi par donneur d'ordres)
                        echo '<td width="160" class="rubfrm" id="f_codeext" align="right">';
                        if (CheckNivLog('6-7')) {
                            echo _('Votre code interne');
                        }
                        if (CheckNivLog('3-4-5-9')) {
                            echo _("Code donneur d'ordres");
                        }
                        echo '</td>';
                        echo '<td>';
                        echo '<input name="codeext" type="text" id="codeext" value="' . $int_codeext . '" size="55"';
                        echo ' readonly="1"';
                        echo '>';
                        echo '<br /><span class="annot_petit_it">(' . _("Si intervention demandée par un donneur d'ordres") . ')</span>';
                        echo '</td>';
                        ?>
                    </tr>
                    <tr>
                        <?php
                        // Code ordre client
                        echo '<td width="160" class="rubfrm" id="f_codeocli" align="right">';
                        echo _('Code ordre client');
                        echo '</td>';
                        echo '<td>';
                        echo '<input name="codeocli" type="text" id="codeocli" value="' . $int_codeocli . '" size="55"';
                        echo ' readonly="1"';
                        echo '>';
                        echo '<br /><span class="annot_petit_it">(' . _('Code ordre client') . ')</span>';
                        echo '</td>';
                        echo '<td width="160">';
                        echo '&nbsp;';
                        echo '</td>';
                        ?>
                    </tr>
                </table>

                <!-- Technicien Responsable -->
                <table width="100%" border="0">
                    <tr>
                        <td width="160" class="rubfrm" id="f_codetec"
                            align="right"><?php echo _('Responsable dossier'); ?></td>
                        <td>
                            <?php
                            $tab_first_options = [
                                '-1' => _('-- Dossier non affecté --')
                            ];
                            $rows = give_tab_rows_tec($int_codeage, $int_codeages, $tab_codeages);
                            cre_select_tab('codetec', 'codetec', $rows, 'tec_code', 'tec_nom', 'tec_prenom-tec_codeage', $int_codetec, '', _('-- Faites votre choix --'), 1, FALSE, '', '', TRUE, TRUE, FALSE, $tab_first_options);

                            echo '<span id="zteca">';
                            if ($aff_tect == TRUE) {
                                echo '<span id="addtect" class="falselnk">';
                                echo ' <img src="../img/tect.png" title="' . _('Techniciens traitants') . '" border="0" align="absmiddle"> ' . _('Techniciens traitants');
                                echo '</span>';

                                // On vérifie si le module planning est bien en place
                                if ($mod_planning == TRUE) {
                                    echo ' <span class="annot_petit_it">(' . _("L'affectation de techniciens traitants est obligatoire pour pouvoir générer un planning automatique") . ')</span>';
                                }
                                echo '<div align="center" id="poptectselect" class="pop_tecselectint">';

                                echo '<div align="right">';
                                echo ' <img src="../img/close.gif" id="closetect" title="' . _('Fermer') . '" border="0" align="absmiddle">';
                                echo '</div>';

                                echo '<div id="tabtectselect" style="height:300px;overflow:auto;">';
                                echo '<div align="center">';

                                echo '<span id="all_tec" class="annot_petit">';
                                echo _('Publique') . ' ';
                                echo '<input type="checkbox" class="annot_petit" name="publique" id ="publique" value="1"';
                                if ((int)$int_publique == 1) {
                                    echo ' checked="checked"';
                                }
                                echo '>';
                                echo '</span>';

                                echo ' / ';

                                echo '<span id ="techq" align="center" class="annot_petit">';
                                echo _('Technicien quelconque') . ' ';
                                echo '<input type="checkbox" name="tecaff[]" id ="tecaff" value="-1"';
                                if (count($_SESSION['tec_aff']) == 0) {
                                    echo ' checked="checked"';
                                }
                                echo '>';
                                echo '</span>';
                                echo '</div>';

                                // Création de la table "choix techniciens"
                                echo '<table id="all_tecaff" class="MtableD" border="0" width="100%" cellpadding="0" cellspacing="0">';
                                echo '<th>';
                                echo _('Agence');
                                echo '</th>';
                                echo '<th>';
                                echo _('Technicien');
                                echo '</th>';
                                echo '<th>';
                                echo _('Choisir');
                                echo '</th>';
                                if ($int_codeage <> '') {
                                    // création de la liste des Techniciens de l'agence propriétaire et de l'agence responsable du site
                                    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                                    switch ($_SESSION['niv_log']) {
                                        case 3 :
                                            if ($_SESSION['code_log'] == $int_codetec) {
                                                $rech = 'SELECT tec_code, tec_codeage, tec_nom,tec_prenom FROM `' . TBTEC . "` WHERE `tec_codeage` = '" . $_SESSION['code_age'] . "'";
                                                if (($_SESSION['code_age'] <> $int_codeages) AND ($td <> 'add')) {
                                                    $rech .= " OR `tec_codeage` = '" . $int_codeages . "'";
                                                }
                                            } else {
                                                $rech = 'SELECT tec_code, tec_codeage, tec_nom, tec_prenom FROM `' . TBTEC . "` WHERE `tec_code` = '" . $_SESSION['code_log'] . "'";
                                            }
                                            break;
                                        case 4 :
                                            $rech = 'SELECT tec_code, tec_codeage, tec_nom,tec_prenom FROM `' . TBTEC . "` WHERE `tec_codeage` = '" . $_SESSION['code_age'] . "'";
                                            if (($_SESSION['code_age'] <> $int_codeages) AND ($td <> 'add')) {
                                                $rech .= " OR `tec_codeage` = '" . $int_codeages . "'";
                                            }
                                            break;
                                        default :
                                            $rech = 'SELECT tec_code, tec_codeage, tec_nom, tec_prenom FROM `' . TBTEC . '` WHERE';
                                            if (($int_codeages <> '-1') AND ($int_codeages <> '')) {
                                                $rech .= '(';
                                            }
                                            $rech .= " `tec_codeage` = '" . $int_codeage . "'";
                                            if (($int_codeages <> '-1') AND ($int_codeages <> '')) {
                                                $rech .= " OR `tec_codeage` = '" . $int_codeages . "'";
                                                $rech .= ')';
                                            }

                                            /*
                                            $rech = "SELECT tec_code, tec_codeage, tec_nom, tec_prenom FROM `" . TBTEC . "` WHERE";
                                            if (count($tab_codeages) > 1)
                                                $rech .= '(';
                                            if (array_key_exists('-1', $tab_codeages) AND count($tab_codeages) == 1)
                                                $rech .= " `tec_codeage` = '" . $int_codeage . "' OR";
                                            else {
                                                foreach ($tab_codeages as $key => $value) {
                                                    $rech .= " `tec_codeage` = '" . $key . "' OR";
                                                }
                                            }
                                            // Suppression du dernier 'OR'
                                            $rech = substr($rech, 0, -3);
                                            if (count($tab_codeages) > 1)
                                                $rech .= ')';
                                            */
                                            break;
                                    }
                                    $rech .= " AND `tec_out` = '0' ORDER BY tec_nom";
                                    $rows = $db->get_results($rech, ARRAY_A);

                                    if ($rows) {
                                        foreach ($rows as $row) {
                                            $row = encode_str($row);
                                            extract($row);
                                            echo '<tr>';
                                            echo '<td align="center">';
                                            echo $tec_codeage;
                                            echo '</td>';
                                            echo '<td>';
                                            $txtdest = $tec_nom . ' ' . $tec_prenom;
                                            echo $txtdest;
                                            echo '</td>';
                                            echo '<td>';
                                            echo '<input type="checkbox" name="tecaff[]" id="tecaff" value="' . $tec_code . '"';
                                            if (count($_SESSION['tec_aff']) > 0) {
                                                if (in_array($tec_code, $_SESSION['tec_aff'],true)) {
                                                    echo ' checked="checked"';
                                                }
                                            }
                                            echo '>';
                                            echo '</td>';
                                            echo '</tr>';
                                        }
                                    }
                                    close_database();
                                }
                                echo '</table>';
                                echo '</div>';

                                echo '<p align="center">';
                                echo '<input name="valtect" id="valtect" type="button" class="bton_fgris_petit" value="' . _('Valider') . '">';
                                echo '</p>';
                                echo '</div>';
                            }
                            echo '</span>';
                            ?>
                        </td>
                    </tr>
                </table>


                <!-- Affichage du client -->
                <table width="100%" border="0">
                    <tr>
                        <td class="rubfrm" id="f_codecli" align="center"><?php echo _('Client'); ?>
                            <?php
                            echo ' <img src="../img/' . $ico_cpta[$cli_cpta] . '" title ="' . $mess_cpta[$cli_cpta] . '" border="0" align="absmiddle">';
                            ?>
                        </td>
                    </tr>
                </table>

                <!-- détails client -->
                <table width="100%" border="0">
                    <tr>
                        <td class="rubfrm" width="45%" align="center" valign="bottom"
                            class="ent_clisite"><?php echo _('Compte client'); ?></td>
                        <?php
                        echo '<td align="center" valign="bottom" class="ent_clisite" id="tdtitsite">';
                        if ($chx_site == TRUE) {
                            echo '<div id="choixsitenon" style="display:none">';
                            echo ' <img src="../img/sites.png" title="' . _('Choisir un site') . '" border="0" align="bottom"> ';
                        } else {
                            echo '<div id="choixsitenon" style="display:block">';
                        }
                        echo _("Site d'intervention");
                        echo '</div>';
                        ?>
                        </td>
                        <td width="30" valign="top">&nbsp;</td>
                    </tr>
                    <?php
                    if (CheckNivLog('1-3-4-6-7-5-9')) {
                        ?>
                        <tr>
                            <td>
                                <?php
                                $tab_age = give_tab_age_cli($cli_code);
                                echo '<div class="annot_petit_it">' . _('Agence gérant ce compte') . ' : ';
                                cre_select('codeage', 'codeage', $tab_age, $int_codeage, '', _('-- Faites votre choix --'), 1, FALSE, '', _("-- Pas d'agence --"), TRUE, TRUE);
                                echo '</div>';
                                ?>
                            </td>
                            <td>
                                <span class="annot_petit_it"><?php echo _('Suivi du site fait par'); ?> : </span>
                                <?php
                                echo '<span id="lstagesite" class="annot_petit_it">';
                                cre_select('agesite', 'agesite', $tab_codeages, $int_codeages, '', _('-- Faites votre choix --'), 1, FALSE, '', '', TRUE, TRUE);
                                echo '</span>';
                                ?>
                            </td>
                        </tr>
                    <?php } ?>
                    <tr>
                        <td valign="top" bgcolor="#C5CED7">
                            <div id="nomste">
                                <?php
                                if ($cli_ste <> '') {
                                    echo $cli_ste . '<br />';
                                } else {
                                    echo $cli_civilite . ' ' . $cli_prenom . ' ' . $cli_nom . '<br />';
                                }
                                echo $cli_adr1 . '<br />';
                                if ($cli_adr2 <> '') {
                                    echo $cli_adr2 . '<br />';
                                }
                                echo Retournecp_Id($cli_ville, TRUE) . ' ' . Retourneville_Id($cli_ville, TRUE) . '<br />';
                                echo _('Tel') . ' : ' . $cli_telf;
                                if ($cli_telp <> '') {
                                    echo '  / ' . $cli_telp;
                                }
                                ?>
                            </div>
                        </td>
                        <td valign="top" bgcolor="#C5CED7" id="tddetsite">
                            <div id="nomsite">
                                <?php
                                echo nom_scli($int_idsite, TRUE);
                                ?>
                            </div>
                        </td>
                        <td width="60" valign="top">
                            <?php
                            if (valsession('niv_log') >= 3) {
                                $url_affnotesc = 'aff_notesc.php?cc=' . $cc;
                                if (url_ok($url_affnotesc) == TRUE) {
                                    cre_falselnk('', 'aff_notesc', 'span', '', _('Notes'), $url_affnotesc, '../img/eye.png', _('Notes'));
                                }
                            } else {
                                echo '&nbsp;';
                            }
                            ?>
                        </td>
                    </tr>
                </table>

                <!-- Demandeur -->
                <table width="100%" border="0">
                    <tr>
                        <td width="160" class="rubfrm" id="f_ddeur" align="right"><?php echo _('Demandé par'); ?></td>
                        <td>
                            <?php
                            cre_select('ddeur', 'ddeur', $tab_ccli, (int)$int_ddeur, '', _('-- Faites votre choix --'));

                            if ($add_ccli == TRUE) {
                                $url = 'ccli_maj.php?td=int';
                                if (url_ok($url, TRUE) == TRUE) {
                                    echo ' <span id="addccli" class="falselnk">';
                                    echo ' <img src="../img/ctacts.png" title="' . _('Ajouter contact') . '" border="0" align="absmiddle"> ' . _('Ajouter contact');
                                    echo '</span>';
                                }
                            }
                            ?>
                        </td>
                    </tr>
                </table>


                <!-- Affectation d'un contrat à l'intervention -->
                <table width="100%" border="0">
                    <tr>
                        <td width="160" class="rubfrm" id="f_codeco" align="right"><?php echo _('Contrat'); ?></td>
                        <td>
                            <?php
                            cre_select('codecocl', 'codecocl', $tab_cocl, $int_codecocl, '', _('-- Faites votre choix --'), 1, FALSE, '', '', FALSE);
                            echo ' <span id="res" class="falselnk" style="display:none">';
                            echo ' <img src="../img/eye.png" title="' . _('Résumé contrat') . '" border="0" align="absmiddle"> ' . _('Résumé contrat');
                            echo '</span>';
                            ?>
                            <div id="report_cocl" style="margin-top:5px;display:none">
                                <!-- Choix des reports/déductions -->
                                <table class="Ltable">
                                    <tr>
                                        <?php
                                        echo '<td align="right" class="annot_petit">';
                                        echo _('Temps non consommé à reporter sur le contrat') . ' : ';
                                        echo '</td>';
                                        echo '<td>';
                                        $tab_report_nc = cre_tab_cocl_report_nc($int_codecocl, $int_code, $int_codecli, $int_idsite);
                                        cre_select('lsthnc', 'lsthnc', $tab_report_nc, '', '', '', 1, FALSE, '', '', TRUE, TRUE);
                                        echo '</td>';
                                        ?>
                                    </tr>
                                    <tr>
                                        <?php
                                        echo '<td align="right" class="annot_petit">';
                                        echo _('Temps dépassé à déduire sur le contrat') . ' : ';
                                        echo '</td>';
                                        echo '<td>';
                                        $tab_deduc = cre_tab_cocl_deduc($int_codecocl, $int_code, $int_codecli, $int_idsite);
                                        cre_select('lsttded', 'lsttded', $tab_deduc, '', '', '', 1, FALSE, '', '', TRUE, TRUE);
                                        echo '</td>';
                                        ?>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <!-- Paramètres de la demande -->
                <table width="100%" border="0">
                    <tr>
                        <td width="160" class="rubfrm" id="f_orig"
                            align="right"><?php echo _('Origine demande'); ?></td>
                        <td>
                            <?php
                            // Création de la liste des origines
                            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                            $rech = 'SELECT * FROM `' . TBORI . '` ORDER BY orig_desc';
                            $rows = $db->get_results($rech, ARRAY_A);
                            close_database();
                            cre_select_tab('codeorig', 'codeorig', $rows, 'orig_code', 'orig_desc', '', $int_codeorig, '', _('-- Faites votre choix --'));
                            ?>
                    </tr>
                    <tr>
                        <td width="160" class="rubfrm" id="f_statut" align="right"><?php echo _('Statut'); ?></td>
                        <td>
                            <?php
                            // Création de la liste des Statuts
                            $rows = give_rows_statut('CLOT');
                            cre_select_tab('codestatut', 'codestatut', $rows, 'statut_code', 'statut_desc', '', $int_codestatut, '', _('-- Faites votre choix --'));
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td class="rubfrm" id="f_urg" align="right"><?php echo _("Niveau d'urgence"); ?></td>
                        <td>
                            <?php
                            // Création de la liste des Niveaux d'urgence
                            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                            $rech = 'SELECT * FROM `' . TBURG . '` ORDER BY urg_niveau';
                            $rows = $db->get_results($rech, ARRAY_A);
                            close_database();
                            cre_select_tab('urgence', 'urgence', $rows, 'urg_niveau', 'urg_des', '', $int_urg, '', _('-- Faites votre choix --'));
                            ?>
                        </td>
                    </tr>
                </table>

                <!-- matériel et problème de la demande -->
                <table width="100%" border="0">
                    <tr>
                        <td width="160" class="rubfrm" id="f_mat" align="right"><?php echo _('Matériel'); ?></td>
                        <td>
                            <?php
                            echo '<textarea name="mat" rows="5" id="mat">' . $int_mat . '</textarea>';
                            ?>
                        </td>
                        <td width="16">
                            <?php
                            echo ' <img src="../img/oblig.png" align="absmiddle" align="top">';
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="160" class="rubfrm" id="f_pbm"
                            align="right"><?php echo _('Travail à effectuer'); ?></td>
                        <td>
                            <?php
                            echo '<textarea name="pbm" rows="5" id="pbm">' . $int_pbm . '</textarea>';
                            ?>
                        </td>
                        <td width="16">
                            <?php
                            echo ' <img src="../img/oblig.png" align="absmiddle" align="top">';
                            ?>
                        </td>
                    </tr>
                </table>

                <!-- Intervention sous garantie ou pas ? -->
                <table width="100%" border="0">
                    <tr>
                        <td width="160" class="rubfrm" id="f_gar" align="right"><?php echo _('Garantie'); ?></td>
                        <td>
                            <?php
                            cre_select('gar', 'gar', $non_oui, (int)$int_gar);
                            ?>
                            <span class="annot_std_gras"><?php echo _('Référence facture'); ?> :</span>
                            <input name="fgar" type="text" id="fgar" value="<?php echo $int_fgar ?>" size="30"
                                   maxlength="30">
                            <span class="annot_petit_it"> (<?php echo _('Obligatoire si garanti'); ?>)</span>
                        </td>
                    </tr>
                </table>

                <p align="center">
                    <input name="enr" type="button" class="bton_std" id="enr" value="<?php echo _('Enregistrer'); ?>">
                    <input name="RAZ" type="reset" class="bton_std" id="RAZ" value="<?php echo _('Réinitialiser'); ?>">
                </p>
        </form>

        <!-- affiché uniquement s'il y a au moins un client, une agence active, une origine, un statut, un lieu, une civilité, un technicien dans l'agence, et un mode de règlement -->
        <?php
    } else {
        if (nb_age_actives() == 0) {
            pop_ret_auto(_('Aucune agence active'), 'warn', 'age_lst.php');
        }

        if (nb_orig() == 0) {
            pop_ret_auto(_("Aucune origine d'intervention"), 'warn', 'orig_lst.php');
        }

        if (nb_statuts() == 0) {
            pop_ret_auto(_("Aucun statut d'intervention"), 'warn', 'statut_lst.php');
        }

        if (nb_lieux() == 0) {
            pop_ret_auto(_("Aucun lieu d'intervention"), 'warn', 'lieu_lst.php');
        }

        if (nb_civ() == 0) {
            pop_ret_auto(_('Aucune civilité'), 'warn', 'civ_lst.php');
        }

        if (nb_tec('') == 0) {
            pop_ret_auto(_('Aucun technicien'), 'warn', 'tec_lst.php?td=std&tl=1');
        }

        if (nb_reg() == 0) {
            pop_ret_auto(_('Aucun mode règlement'), 'warn', 'reg_lst.php');
        }
    }
} else {
    if ($pbm_int == TRUE) {
        pop_ret_auto(_('Merci de choisir une de vos interventions'), 'warn', $lnk_int_lst);
    } else {
        if (CheckNivLog('1')) {
            pop_ret_auto(_('Merci de choisir votre compte'), 'warn', 'index.php');
        }
        if (CheckNivLog('3-4')) {
            pop_ret_auto(_('Merci de choisir un de vos clients'), 'warn', $lnk_cli_lst);
        }
    }
}
include_once('pied.php');
?>
</body>
</html>